# Getting started with Clarity Design System

Clarity is an open-source, enterprise-focused design system with a core design principle of inclusion.

Clarity’s designs stem from continuous exploration and research. These designs are built into our HTML/CSS components, which can be used any web UI, regardless of the underlying JavaScript framework. Clarity also offers a set of well-designed and implemented data-bound components built on top of Angular, one of the most popular JavaScript frameworks in the industry.

## How to get started

- [Getting started with Clarity for designers](./design.md)
- [Getting started with Clarity for Angular](./angular.md)

## Device and Browser Support

<ClrImage src="/images/get-started/device_support.png" width="100%" />

- Internet Explorer 11
- MS Edge
- Latest versions of Chrome, Safari, and Firefox

_\* - Note that Clarity only supports the latest two versions of the listed browsers, with the exception of Internet Explorer._

## Screen Reader Support

Clarity is tested across several sets of screen reader and browser combinations against the WCAG 2.1 spec. The testing has identified the two combinations that enable us to provide support when fixing issues related to the various assistive technologies available to users. The following are the primary combinations that we focus on when addressing issues on the Windows and macOS platforms:

- NVDA + Firefox (Windows)
- VoiceOver + Safari (Apple)

_The latest version of both screen reader and browser is used when testing issues and WCAG 2.1 compliance._

## Contributing to Clarity

The Clarity team welcomes contributions from the community. See our [contribution guidelines](https://github.com/vmware/clarity//blob/master/CONTRIBUTING.md) on GitHub.

## Reporting an Issue

Ongoing work and feature requests are tracked using [GitHub Issues](https://github.com/vmware/clarity/issues). Please feel free to file an issue.

When submitting issues please provide a minimal app that demonstrates the issue by forking one of the Clarity Stackblitz projects. Since it depends on your issue starting with the correct Clarity version and theme will help us deliver support. You can find all of the [StackBlitz templates here](https://stackblitz.com/@clr-team).

## StackOverflow

Ask questions on StackOverflow with the [vmware-clarity](https://stackoverflow.com/questions/tagged/vmware-clarity) tag to get the community's attention faster. You can also view FAQs by filtering on the [vmware-clarity](https://stackoverflow.com/questions/tagged/vmware-clarity) tag on StackOverflow.

## Attributions

See the [legal attributions](https://github.com/vmware/clarity/blob/master/docs/ATTRIBUTION.md) for third party software included in Clarity.
